/**
 * Le controller des categories
 */
petzl.controllers.Faq = function ()
{
	/**
	 * Cibler ce controller
	 */
	var that = this;
	
	function init(){
		
		$('.accordeon .accordeonSlide').each(function(index)
		{
			var innerMenu = $(this).find('.accordeonContent');
			innerMenu.attr('data-height', innerMenu.innerHeight());
			
			innerMenu.css('height', '0px');
			$(this).addClass('closed');
		});
		
		// Handler du click sur un menu fermé
		$('.accordeon .accordeonSlide').click(function(event)
		{
			// On récupère l'intérieur du menu
			var innerMenu = $(this).find('.accordeonContent');
			
			// On détermine à quelle hauteur il va falloir le changer
			var height = (
				$(this).hasClass('closed')
				?
				innerMenu.data('height') + 10
				:
				0
			);
			
			// Et on anime
			innerMenu.stop().animate({
				height : height
			}, 400);
			
			// On toggle la classe closed
			$(this).toggleClass('closed');
		});
	}
	
	
	/**
	 * Initialisation
	 */
	init();
	
	
	
};